camera = {}
camera.x = 0
camera.y = 0
camera.scalefactor = 2
camera.rotation = 0

function camera:set()
  love.graphics.push()
  love.graphics.rotate(-self.rotation)
  love.graphics.scale(self.scalefactor, self.scalefactor)
      --sets vertical and horizontal scale factors; in "nearest" filtermode this results in pixel graphics
  love.graphics.translate(-self.x, -self.y)
end

function camera:unset()
  love.graphics.pop()
end

function camera:move()
  if love.keyboard.isDown("up")  then
    camera.y = camera.y - 12
  end
  if love.keyboard.isDown("down")  then
    camera.y = camera.y + 12
  end
  if love.keyboard.isDown("left")  then
    camera.x = camera.x - 12
  end
  if love.keyboard.isDown("right")  then
    camera.x = camera.x + 12
  end
end

function camera:rotate(dr)
  self.rotation = self.rotation + dr
end

function camera:scale(scale)
  sx = sx or 1
  self.scalefactor = self.scalefactor * scale
end

function camera:setPosition(x, y)
  self.x = x or self.x
  self.y = y or self.y
end

function camera:setScale(sx, sy)
  self.scaleX = sx or self.scaleX
  self.scaleY = sy or self.scaleY
end